Bug 1279085 - (maxmind-geoip2) Review Request: maxmind-geoip2 - GeoIP2 webservice and database API
Review Request: maxmind-geoip2 - GeoIP2 webservice and database API
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: newtonsoft-json maxmind-db nsubstitude mockhttp
Blocks: openra
  Show dependency treegraph
 
Reported: 2015-11-07 14:57 EST by Raphael Groner
Modified: 2016-11-05 18:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-05 18:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-11-07 14:57:34 EST
Spec URL: maxmind-geoip2.spec
SRPM URL: <srpm info here>
Description: GeoIP2 webservice and database API
Fedora Account System Username: raphgro

This is just a place holder for an upcoming package request.
Comment 1 Raphael Groner 2015-11-07 15:01:40 EST
URL: https://maxmind.github.io/GeoIP2-dotnet/
Comment 2 Raphael Groner 2015-11-07 18:08:03 EST
Spec URL: https://raphgro.fedorapeople.org/review/openra/maxmind-geoip2.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/maxmind-geoip2-2.4.0-1.fc23.src.rpm
Description: GeoIP2 webservice and database API
Fedora Account System Username: raphgro
Comment 3 Matthias Mailänder 2015-11-25 09:53:06 EST
We rely on MaxMind.GeoIP2 version 2.3.1 for OpenRA. An upgrade to 2.4.0 isn't easy, because it makes use of async features which require a whole new cascade of dependencies. https://www.nuget.org/packages/MaxMind.GeoIP2/
Comment 4 Matthias Mailänder 2015-12-29 04:19:58 EST
An update to 2.5.0 is also not likely to succeed. https://github.com/OpenRA/OpenRA/pull/10280
Comment 5 Raphael Groner 2016-03-02 07:34:04 EST
(In reply to Matthias Mailänder from comment #4)
> An update to 2.5.0 is also not likely to succeed.
> https://github.com/OpenRA/OpenRA/pull/10280

Is this still relevant? I see the linked PR is closed.
Comment 6 Matthias Mailänder 2016-03-02 14:31:33 EST
It is currently help Fedora or keep Windows XP support by not doing the surrounding .NET 4.5 target upgrade. We have not resolved this yet. Sorry.
Comment 7 Raphael Groner 2016-03-02 14:50:35 EST
(In reply to Matthias Mailänder from comment #6)
> It is currently help Fedora or keep Windows XP support by not doing the
> surrounding .NET 4.5 target upgrade. We have not resolved this yet. Sorry.

a. Fedora has *nothing* but *nothing* to do with XP!
b. You use prebuilt assemblies and libraries based on a newer .NET and some based on olders. Nuget is no option for Fedora that's completely based on FLOSS. Everything else is inacceptable for us.
c. Do you want to tell we should connect OpenRA into the bin?

Sorry, but that's no solution. Maybe you want to get rid of official Mono support in general?
Comment 8 Matthias Mailänder 2016-03-02 14:57:52 EST
a) Fedora only supports .NET 4.5 as 4.0 is only supplied by pre-built binaries from Xamarin. Windows XP on the other only suppots .NET 4.0 as it EOLed a long time ago.
b) I am aware that NuGet isn't acceptable outside the Windows sphere. We haven't really established a good way of handling dependencies other than putting it in a ./thirdparty folder where you have to link system libraries.
c) I can't follow, but I guess we could need your help here to fix OpenRA's binary dependency problem.
Comment 9 Matthias Mailänder 2016-03-02 15:00:35 EST
https://github.com/OpenRA/OpenRA/issues/10661 has the details.
Comment 10 Raphael Groner 2016-03-07 09:22:16 EST
Hmm, new guideline modification may apply for the optionally pregenerated test data (maybe source1) and could need also the sources in srpm. Have to investigate.
https://fedoraproject.org/wiki/Packaging:Guidelines#Use_of_pregenerated_code
Comment 11 Matthias Mailänder 2016-08-08 01:32:03 EDT
Note: I updated the OpenRA development build to use the 2.6.0 MaxMind GeoIP version. https://github.com/OpenRA/OpenRA/pull/11285
Comment 12 Raphael Groner 2016-09-29 13:19:42 EDT
Matthias,
does OpenRA work also with the MaxMind GeoIP 2.7.x series?
Comment 13 Matthias Mailänder 2016-09-29 22:26:37 EDT
Yes https://github.com/OpenRA/OpenRA/pull/12132 but the .NET to .NET Core changes seem to cause NuGet dependency problems at least on Windows.
Comment 14 Raphael Groner 2016-11-05 18:03:20 EDT
.NET Core is currently no option for Fedora.

Note You need to log in before you can comment on or make changes to this bug.